﻿© 2003 Fluke Corporation. All Rights Reserved.              MET/CAL Procedure
=============================================================================
INSTRUMENT:            HP 3245A: (1 year) VER IEEE /8508A,PM6680,8566B,5520A
DATE:                  13-Oct-2003
AUTHOR:                Fluke
REVISION:              $Revision: 18042 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       502
CONFIGURATION:         Fluke 8508A
CONFIGURATION:         Philips PM 6680
CONFIGURATION:         HP 8566B
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        DFM
# 
#  Source:
#        HP 3245A Operating and Programming Manual, September 1988, Update 2,
#           March 1994
#        HP 3245A Calibration Manual, September 1988, Update 1, May 1991
# 
#  Compatibility:
#        MET/CAL 7.01 or later
# 
#  Additional Equipment Required:
#        Cable assy., BNC(m)-(m), 50 Ohm, 24", 2 ea., Pomona Model 2249-C-24
#         or equivalent
#        Adapter, BNC(f) to double-banana plug, 2 ea, Pomona Model 1269 or
#         equivalent
#        Tee, BNC(f)-(m)-(f), Pomona Model 3285 or equivalent
#        Adapter, BNC(m) to binding posts, Pomona Model 1296 or equivalent
#        Test lead, banana plugs, low leakage, 24", red, Pomona Model B-24-2
#         or equivalent
#        Test lead, banana plugs, low leakage, 24", black, Pomona Model B-24-0
#         or equivalent
#        Attenuator, 20 dB, 50 Ohm, 2 W
# 
#  The procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to
#  this procedure.
# 
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
# 
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  Additional Test Information:
#
#  Global Numeric Variables:
#       None
#
#  Local Numeric Variables:
#       L[1]  = Description of Local Numeric Variables
#
#  Global String Variables:
#       S[1]  : Manufacturer
#       S[2]  : Model
#       S[4]  : Firmware Level or equiv.
#       S[5]  : Output channel configuration
#       S[6]  : Output channel being tested
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         PROC_START
  1.002  8508         *                                                 S
  1.003  6680         *                                                 S
  1.004  8566         *                                                 S
  1.005  5520         *                                                 S

  1.006  LABEL        PROC_START
  1.007  ASK-   R   Q N              P                            A        V
  1.008  ASK+                                          X


# Verify MET/VERsion compatibility.
  1.009  IF           VERS() < 7.01
  1.010  DISP         This procedure requires MET/CAL® 7.01 or later.
  1.011  JMPL         END
  1.012  ENDIF

  1.013  HEAD         COPYRIGHT NOTICE
  1.014  DISP         [32]               PLEASE NOTE!
  1.014  DISP         This procedure is © 2003, Fluke Corporation.
  1.014  DISP         All rights reserved.


  1.015  HEAD         INITIAL INFORMATION
  1.016  OPBR         Do you want this procedure to PAUSE on failed tests?

  1.017  IF           MEM1 > 0
# Set ASK flags to enable Post Test box with "Cancel" option on fail.
  1.018  ASK+                                          X
  1.019  ASK-                                                     F
  1.020  ENDIF

# Initial hook-up information.
  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.022  DISP         operation (the address is not important, as long
  1.022  DISP         as it is not (0) zero).


  1.023  HEAD         PROCEDURE EXECUTION INFORMATION
  1.024  DISP         This procedure supports the reporting of both Test
  1.024  DISP         Uncertainty Ratio (TUR) or measurement uncertainty.
  1.024  DISP
  1.024  DISP         When computing measurement uncertainty, best results
  1.024  DISP         are obtained when multiple readings are taken at each
  1.024  DISP         data point.  This is accomplished at the expense of
  1.024  DISP         increased procedure execution time.
  1.025  OPBR         Do you wish this procedure to generate 'best case'
  1.025  OPBR         measurement uncertainty data (longer running time)?
  1.025  OPBR
  1.025  OPBR         (Pressing "No" will cause procedure execution to be
  1.025  OPBR         optimized for the calculation of Test Uncertainty
  1.025  OPBR         Ratios (TUR) and shorter running time.)

  1.026  IF           MEM1 > 0
# Set VSET parameters for optimum measurement uncertainty operation.
  1.027  VSET         NTHROW = 1 NMEAS = 5 MEASURE_ONLY = Yes NSD = 3
  1.028  ELSE
# Set VSET parameters for optimum TUR operation.
  1.029  VSET         NTHROW = 1 NMEAS = 1 MEASURE_ONLY = Yes
  1.030  ENDIF

  1.031  LABEL        EQUIPMENT_USED
  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1 > 0
  1.035  DISP         The following additional equipment and/or
  1.035  DISP         accessories are required (1 of 3):
  1.035  DISP
  1.035  DISP         - Cable assy., BNC(m)-(m), 50 Ohm, 24", 2 ea., Pomona
  1.035  DISP         [32] Model 2249-C-24 or equivalent
  1.035  DISP         - Adapter, BNC(f) to double-banana plug, 2 ea, Pomona
  1.035  DISP         [32] Model 1269 or equivalent
  1.035  DISP         - Tee, BNC(f)-(m)-(f), Pomona Model 3285 or equivalent

  1.036  DISP         Additional equipment and/or accessories (2 of 3):
  1.036  DISP
  1.036  DISP         - Adapter, BNC(m) to binding posts, Pomona Model 1296
  1.036  DISP         [32] or equivalent
  1.036  DISP         - Test lead, banana plugs, low leakage, 24", red,
  1.036  DISP         [32] Pomona Model B-24-2 or equivalent
  1.036  DISP         - Test lead, banana plugs, low leakage, 24", black,
  1.036  DISP         [32] Pomona Model B-24-0 or equivalent

  1.037  DISP         Additional equipment and/or accessories (3 of 3):
  1.037  DISP
  1.037  DISP         - Attenuator, 20 dB, 50 Ohm, 2 W
  1.038  ENDIF

  1.039  LABEL        INIT_UUT
  1.040  IEEE         END ON;IDN?[I$]
  1.041  MATH         S[1] = MEM2
  1.042  IEEE         ID?[I]
  1.043  MATH         S[2] = MEM &"A"
  1.044  IEEE         REV?[I$]
  1.045  MATH         S[4] = SUB(MEM2, 3, LEN(MEM2))
  1.046  IEEE         CTYPE? 100[I]

  1.047  IF           MEM == 21
  1.048  MATH         S[5] = "2 Channels Fitted"
  1.049  ELSEIF       MEM == 0
  1.050  MATH         S[5] = "1 Channel Fitted"
  1.051  ENDIF

# Copy numerics from S[5] into numeric register.
  1.052  MATH         M[5] = S[5]

  1.053  DISP         Manufacturer:      [SREG1]
  1.053  DISP         Model:             [SREG2]
  1.053  DISP         Firmware Level:    [SREG4]
  1.053  DISP         Output Channel(s): [SREG5]

  1.054  RSLT         =
  1.055  RSLT         =UUT CONFIGURATION
  1.056  RSLT         =
  1.057  RSLT         = Firmware Level:  [SREG4]
  1.058  RSLT         = Output Channels: [M5]

  1.059  IEEE         RESET
  1.060  IEEE         DISP MSG " 3245A VER"

  1.061  RSLT         =
  1.062  HEAD         {DC VOLTS, HIGH RESOLUTION}
  1.063  IEEE         TERM FRONT;USE 0
  1.064  MATH         S[6] = "A"
  1.065  CALL         Sub HP 3245A DCV High Resolution VER IEEE /8508
  1.066  IEEE         RESET 0
  1.067  JMPL         DCV_LO_CH_A

  1.068  LABEL        DCV_HI_CH_B
  1.069  IEEE         TERM FRONT;USE 100
  1.070  MATH         S[6] = "B"
  1.071  CALL         Sub HP 3245A DCV High Resolution VER IEEE /8508
  1.072  IEEE         RESET 100
  1.073  JMPL         DCV_LO_CH_B

  1.074  LABEL        DCV_LO_CH_A
  1.075  RSLT         =
  1.076  HEAD         {DC VOLTS, LOW RESOLUTION}
  1.077  IEEE         TERM FRONT;USE 0
  1.078  MATH         S[6] = "A"
  1.079  CALL         Sub HP 3245A DCV Low Resolution VER IEEE /8508
  1.080  IEEE         RESET 0
  1.081  JMPL         ACV_SINE_CH_A

  1.082  LABEL        DCV_LO_CH_B
  1.083  IEEE         TERM FRONT;USE 100
  1.084  MATH         S[6] = "B"
  1.085  CALL         Sub HP 3245A DCV Low Resolution VER IEEE /8508
  1.086  IEEE         RESET 100

  1.087  LABEL        DCV_HI_RES_SETTLING
  1.088  RSLT         =
  1.089  RSLT         =DC VOLTS, HIGH RESOLUTION SETTLING TIME
  1.090  RSLT         = Not Tested

  1.091  IF           ZCMPI(S[5], "2 Channels Fitted")
  1.092  JMPL         ACV_SINE_CH_B
  1.093  ENDIF

  1.094  LABEL        DCV_OUTPUT_Z_A
  1.095  RSLT         =
  1.096  HEAD         {DC VOLTS, OUTPUT RESISTANCE}
  1.097  IEEE         TERM FRONT;USE 0
  1.098  MATH         S[6] = "A"
  1.099  CALL         Sub HP 3245A DCV Output Resistance VER IEEE /8508
  1.100  IEEE         RESET 0

  1.101  IF           ZCMPI(S[5], "1 Channel Fitted")
  1.102  JMPL         HARMONICS_&_SPURS_A
  1.103  ENDIF

  1.104  LABEL        DCV_OUTPUT_Z_B
  1.105  IEEE         TERM FRONT;USE 100
  1.106  MATH         S[6] = "B"
  1.107  CALL         Sub HP 3245A DCV Output Resistance VER IEEE /8508
  1.108  IEEE         RESET 100
  1.109  JMPL         HARMONICS_&_SPURS_A

  1.110  LABEL        DCI_HI_CH_A
  1.111  RSLT         =
  1.112  HEAD         {DC CURRENT, HIGH RESOLUTION}
  1.113  IEEE         TERM FRONT;USE 0
  1.114  MATH         S[6] = "A"
  1.115  CALL         Sub HP 3245A DCI High Resolution VER IEEE /8508
  1.116  IEEE         RESET 0
  1.117  JMPL         DCI_LO_CH_A

  1.118  LABEL        DCI_HI_CH_B
  1.119  IEEE         TERM FRONT;USE 100
  1.120  MATH         S[6] = "B"
  1.121  CALL         Sub HP 3245A DCI High Resolution VER IEEE /8508
  1.122  IEEE         RESET 100
  1.123  JMPL         DCI_LO_CH_B

  1.124  LABEL        DCI_LO_CH_A
  1.125  RSLT         =
  1.126  HEAD         {DC CURRENT, LOW RESOLUTION}
  1.127  IEEE         TERM FRONT;USE 0
  1.128  MATH         S[6] = "A"
  1.129  CALL         Sub HP 3245A DCI Low Resolution VER IEEE /8508
  1.130  IEEE         RESET 0
  1.131  JMPL         DCI_OUTPUT_Z_A

  1.132  LABEL        DCI_LO_CH_B
  1.133  IEEE         TERM FRONT;USE 100
  1.134  MATH         S[6] = "B"
  1.135  CALL         Sub HP 3245A DCI Low Resolution VER IEEE /8508
  1.136  IEEE         RESET 100
  1.137  JMPL         DCI_OUTPUT_Z_B

  1.138  LABEL        DCI_OUTPUT_Z_A
  1.139  RSLT         =
  1.140  HEAD         {DC CURRENT, OUTPUT RESISTANCE (High Resolution)}
  1.141  IEEE         TERM FRONT;USE 0
  1.142  MATH         S[6] = "A"
  1.143  CALL         Sub HP 3245A DCI Output Resistance VER IEEE /8508,5520
  1.144  IEEE         RESET 0
  1.145  JMPL         DCI_COMPLIANCE_A

  1.146  LABEL        DCI_OUTPUT_Z_B
  1.147  IEEE         TERM FRONT;USE 100
  1.148  MATH         S[6] = "B"
  1.149  CALL         Sub HP 3245A DCI Output Resistance VER IEEE /8508,5520
  1.150  IEEE         RESET 100
  1.151  JMPL         DCI_COMPLIANCE_B

  1.152  LABEL        DCI_COMPLIANCE_A
  1.153  RSLT         =
  1.154  HEAD         {DC CURRENT, VOLTAGE COMPLIANCE}
  1.155  IEEE         TERM FRONT;USE 0
  1.156  MATH         S[6] = "A"
  1.157  CALL         Sub HP 3245A DCI Volt Compliance VER IEEE /8508,5520
  1.158  IEEE         RESET 0

  1.159  IF           ZCMPI(S[5], "2 Channels Fitted")
  1.160  JMPL         DCV_HI_CH_B
  1.161  ELSE
  1.162  JMPL         DCV_HI_RES_SETTLING
  1.163  ENDIF

  1.164  LABEL        DCI_COMPLIANCE_B
  1.165  IEEE         TERM FRONT;USE 100
  1.166  MATH         S[6] = "B"
  1.167  CALL         Sub HP 3245A DCI Volt Compliance VER IEEE /8508,5520
  1.168  IEEE         RESET 100
  1.169  JMPL         DCV_OUTPUT_Z_A

  1.170  LABEL        ACV_SINE_CH_A
  1.171  RSLT         =
  1.172  HEAD         {AC VOLTS (Vpp), SINE WAVE}
  1.173  IEEE         TERM FRONT;USE 0
  1.174  MATH         S[6] = "A"
  1.175  CALL         Sub HP 3245A ACV Sinewave Vpp VER IEEE /8508
  1.176  IEEE         RESET 0
  1.177  JMPL         ACV_SQUARE_CH_A

  1.178  LABEL        ACV_SINE_CH_B
  1.179  IEEE         TERM FRONT;USE 100
  1.180  MATH         S[6] = "B"
  1.181  CALL         Sub HP 3245A ACV Sinewave Vpp VER IEEE /8508
  1.182  IEEE         RESET 100
  1.183  JMPL         ACV_SQUARE_CH_B

  1.184  LABEL        ACV_SQUARE_CH_A
  1.185  RSLT         =
  1.186  HEAD         {AC VOLTS (Vpp), SQUARE WAVE}
  1.187  IEEE         TERM FRONT;USE 0
  1.188  MATH         S[6] = "A"
  1.189  CALL         Sub HP 3245A ACV Squarewave Vrms VER IEEE /8508
  1.190  IEEE         RESET 0
  1.191  JMPL         ACV_OFFSET_CH_A

  1.192  LABEL        ACV_SQUARE_CH_B
  1.193  IEEE         TERM FRONT;USE 100
  1.194  MATH         S[6] = "B"
  1.195  CALL         Sub HP 3245A ACV Squarewave Vrms VER IEEE /8508
  1.196  IEEE         RESET 100
  1.197  JMPL         ACV_OFFSET_CH_B

  1.198  LABEL        ACV_OFFSET_CH_A
  1.199  RSLT         =
  1.200  HEAD         {AC VOLTS, OFFSET ACCURACY}
  1.201  IEEE         TERM FRONT;USE 0
  1.202  MATH         S[6] = "A"
  1.203  CALL         Sub HP 3245A ACV Offset Accuracy VER IEEE /8508
  1.204  IEEE         RESET 0
  1.205  JMPL         ACV_FLAT_CH_A

  1.206  LABEL        ACV_OFFSET_CH_B
  1.207  IEEE         TERM FRONT;USE 100
  1.208  MATH         S[6] = "B"
  1.209  CALL         Sub HP 3245A ACV Offset Accuracy VER IEEE /8508
  1.210  IEEE         RESET 100
  1.211  JMPL         ACV_FLAT_CH_B

  1.212  LABEL        ACV_FLAT_CH_A
  1.213  RSLT         =
  1.214  HEAD         {SINE WAVE FLATNESS, (Referenced to 1 kHz)}
  1.215  IEEE         TERM FRONT;USE 0
  1.216  MATH         S[6] = "A"
  1.217  CALL         Sub HP 3245A ACV Sinewave Flat VER IEEE /8508
  1.218  IEEE         RESET 0
  1.219  JMPL         DCI_HI_CH_A

  1.220  LABEL        ACV_FLAT_CH_B
  1.221  IEEE         TERM FRONT;USE 100
  1.222  MATH         S[6] = "B"
  1.223  CALL         Sub HP 3245A ACV Sinewave Flat VER IEEE /8508
  1.224  IEEE         RESET 100
  1.225  JMPL         DCI_HI_CH_B

  1.226  LABEL        HARMONICS_&_SPURS_A
  1.227  RSLT         =
  1.228  HEAD         {AC VOLTS, SINE WAVE, HARMONIC & SPURIOUS LEVELS}
  1.229  RSLT         = Sine Wave, 10 Vpp
  1.230  IEEE         TERM FRONT;USE 0
  1.231  MATH         S[6] = "A"
  1.232  CALL         Sub HP 3245A ACV Harmonics & Spurs VER IEEE /8566
  1.233  IEEE         RESET 0
  1.234  JMPL         RISETIME_A

  1.235  LABEL        HARMONICS_&_SPURS_B
  1.236  IEEE         TERM FRONT;USE 100
  1.237  MATH         S[6] = "B"
  1.238  CALL         Sub HP 3245A ACV Harmonics & Spurs VER IEEE /8566
  1.239  IEEE         RESET 100
  1.240  JMPL         RISETIME_B

  1.241  LABEL        RISETIME_A
  1.242  RSLT         =
  1.243  HEAD         {SQUARE WAVE RISE TIME}
  1.244  IEEE         TERM FRONT;USE 0
  1.245  MATH         S[6] = "A"
  1.246  CALL         Sub HP 3245A ACV Squarewave Risetime VER IEEE /6680
  1.247  IEEE         RESET 0
  1.248  JMPL         SYMMETRY_A

  1.249  LABEL        RISETIME_B
  1.250  IEEE         TERM FRONT;USE 100
  1.251  MATH         S[6] = "B"
  1.252  CALL         Sub HP 3245A ACV Squarewave Risetime VER IEEE /6680
  1.253  IEEE         RESET 100
  1.254  JMPL         SYMMETRY_B

  1.255  LABEL        SYMMETRY_A
  1.256  RSLT         =
  1.257  HEAD         {SQUARE WAVE SYMMETRY}
  1.258  MATH         S[6] = "A"
  1.259  IEEE         TERM FRONT;USE 0
  1.260  CALL         Sub HP 3245A ACV Squarewave Symmetry VER IEEE /6680
  1.261  IEEE         RESET 0
  1.262  JMPL         FREQ_A

  1.263  LABEL        SYMMETRY_B
  1.264  MATH         S[6] = "B"
  1.265  IEEE         TERM FRONT;USE 100
  1.266  CALL         Sub HP 3245A ACV Squarewave Symmetry VER IEEE /6680
  1.267  IEEE         RESET 100
  1.268  JMPL         FREQ_B

  1.269  LABEL        FREQ_A
  1.270  RSLT         =
  1.271  HEAD         {FREQUENCY ACCURACY}
  1.272  MATH         S[6] = "A"
  1.273  IEEE         TERM FRONT;USE 0
  1.274  CALL         Sub HP 3245A ACV Frequency Accuracy VER IEEE /6680
  1.275  IEEE         RESET 0

  1.276  IF           ZCMPI(S[5], "2 Channels Fitted")
  1.277  JMPL         HARMONICS_&_SPURS_B
  1.278  ELSE
  1.279  JMPL         REF_FREQUENCY
  1.280  ENDIF

  1.281  LABEL        FREQ_B
  1.282  IEEE         TERM FRONT;USE 100
  1.283  MATH         S[6] = "B"
  1.284  CALL         Sub HP 3245A ACV Frequency Accuracy VER IEEE /6680
  1.285  IEEE         RESET 100

  1.286  LABEL        REF_FREQUENCY
  1.287  RSLT         =
  1.288  HEAD         {REFERENCE FREQUENCY ACCURACY}: 1.073741 MHz
  1.289  IEEE         USE 0
  1.290  CALL         Sub HP 3245A Reference Frequency VER IEEE /6680
  1.291  IEEE         RESET 0

  1.292  LABEL        END
  1.293  HEAD
  1.294  IEEE         RESET
  1.295  IEEE         DISP MSG "   CAL DONE   "
  1.296  END
